콘텐츠로 건너뛰기

Qwen Image 3 Edit

통합

모델 id alibaba/qwen-image-3/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/qwen-image-3/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Change the sign above the door to read \"Open Daily 8-20\" in the same lettering style and color, keep everything else unchanged.",
    "images": [
      "https://content.doitong.com/dev-api/2026/10/21/req_msc9ak2dbu4cu59zvf0c2ftb/0-RBrxxuL8Z-3AAI916Qh9o_hi2fj8yl.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.075 75 API 크레딧 이 페이지에서 실행

API 키 받기
Alibaba 이미지 편집 #editing#typography#multi-reference

1~3개의 참조 이미지로 편집하며 이미지 속 텍스트를 변경하거나 추가하는 데 강합니다.

예시

입력
출력 · ~105 s
Change the sign above the door to read "Open Daily 8-20" in the same lettering style and color, keep everything else ...

프롬프트Change the sign above the door to read "Open Daily 8-20" in the same lettering style and color, keep everything else unchanged.

$0.075 · 75 API 크레딧

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 127 / 5000

수행할 편집을 설명하는 중국어 또는 영어 텍스트이며 최대 5000자입니다.

•필수 image_urls
파일을 끌어다 놓거나

JPEG, JPG, PNG(알파 없음) 또는 WEBP 형식의 편집 참조를 1~3개 제공합니다. 파일당 최대 10MB, 각 축 384–2048px여야 합니다. 제공 순서에 따라 프롬프트에서 'image 1', 'image 2', 'image 3'으로 참조하세요.

image_size

출력 이미지 크기입니다. 총 픽셀 수는 512 × 512~2048 × 2048로 제한됩니다. 크기를 생략하면 모델이 해상도를 자동으로 선택합니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 negative_prompt · output_format · seed · enable_prompt_expansion
0 / 500

결과 이미지에서 제외할 콘텐츠이며 최대 500자입니다.

output_format 기본값 png

결과 이미지의 파일 형식입니다.

재현 가능한 결과를 위한 무작위 시드이며 범위는 0~2147483647입니다.

POST /run/alibaba/qwen-image-3/edit?wait=20 견적 → $0.075
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/qwen-image-3/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Change the sign above the door to read \"Open Daily 8-20\" in the same lettering style and color, keep everything else unchanged.",
    "images": [
      "https://content.doitong.com/dev-api/2026/10/21/req_msc9ak2dbu4cu59zvf0c2ftb/0-RBrxxuL8Z-3AAI916Qh9o_hi2fj8yl.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Qwen Image 3 Edit 정보

Qwen Image 3의 편집 모드는 한 변당 384~2048 px인 1~3개의 참조 이미지를 받고, 이를 image 1, image 2, image 3으로 참조하는 지시문을 사용합니다. 글자를 교체하거나 추가하는 데 특히 뛰어납니다. 크기를 비워 두면 모델이 선택하고, 프리셋 또는 최대 2K의 사용자 지정 크기를 설정할 수 있습니다. 요청당 최대 6개의 결과를 생성합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 5,000자
수행할 편집을 설명하는 중국어 또는 영어 텍스트이며 최대 5000자입니다.
negative_prompt선택 사항
유형string | null
기본값
≤ 500자
결과 이미지에서 제외할 콘텐츠이며 최대 500자입니다.
image_size선택 사항
유형object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
출력 이미지 크기입니다. 총 픽셀 수는 512 × 512~2048 × 2048로 제한됩니다. 크기를 생략하면 모델이 해상도를 자동으로 선택합니다.
enable_prompt_expansion선택 사항
유형boolean
기본값true
결과 개선을 위한 LLM의 자동 프롬프트 재작성을 제어합니다.
seed선택 사항
유형integer | null
재현 가능한 결과를 위한 무작위 시드이며 범위는 0~2147483647입니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 6
생성할 이미지 수입니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
결과 이미지의 파일 형식입니다.
image_urls필수 images
유형url[] · image
JPEG, JPG, PNG(알파 없음) 또는 WEBP 형식의 편집 참조를 1~3개 제공합니다. 파일당 최대 10MB, 각 축 384–2048px여야 합니다. 제공 순서에 따라 프롬프트에서 'image 1', 'image 2', 'image 3'으로 참조하세요.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "alibaba/qwen-image-3/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 75,
    "usd": "0.075",
    "charged": 75,
    "refunded": 0
  },
  "input": {
    "prompt": "Change the text on the sneaker's side to read \"RUN\" in bold letters",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size}생성된 이미지입니다.
seed
integer생성 중 적용되는 시드 값입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/alibaba/qwen-image-3/edit.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt